summaryrefslogtreecommitdiffstats
path: root/tests/ts/minix
diff options
context:
space:
mode:
authorKarel Zak2009-02-18 21:19:47 +0100
committerKarel Zak2009-02-18 21:19:47 +0100
commit86aa0ee7405b09655ae95fd64e037308ec9da95a (patch)
tree10b341611265f7e7070279c56372b6006915fad7 /tests/ts/minix
parentbuild-sys: add fsck binary to .gitignore (diff)
downloadkernel-qcow2-util-linux-86aa0ee7405b09655ae95fd64e037308ec9da95a.tar.gz
kernel-qcow2-util-linux-86aa0ee7405b09655ae95fd64e037308ec9da95a.tar.xz
kernel-qcow2-util-linux-86aa0ee7405b09655ae95fd64e037308ec9da95a.zip
tests: cleanup ts/minix
Signed-off-by: Karel Zak <kzak@redhat.com>
Diffstat (limited to 'tests/ts/minix')
-rwxr-xr-xtests/ts/minix/fsck37
-rwxr-xr-xtests/ts/minix/mkfs45
2 files changed, 82 insertions, 0 deletions
diff --git a/tests/ts/minix/fsck b/tests/ts/minix/fsck
new file mode 100755
index 000000000..33518fc62
--- /dev/null
+++ b/tests/ts/minix/fsck
@@ -0,0 +1,37 @@
+#!/bin/bash
+#
+# Copyright (C) 2009 Karel Zak <kzak@redhat.com>
+#
+# This file is part of util-linux-ng.
+#
+# This file is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This file is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+TS_TOPDIR="$(dirname $0)/../.."
+TS_DESC="mkfs checksums"
+
+. $TS_TOPDIR/functions.sh
+ts_init "$*"
+ts_skip_nonroot
+
+set -o pipefail
+
+IMAGE="$TS_OUTDIR/${TS_TESTNAME}-loop.img"
+DEVICE=$(ts_device_init)
+
+ts_log "create minix fs"
+$TS_CMD_MKMINIX $DEVICE 2>&1 >> $TS_OUTPUT
+
+ts_log "fsck minix fs"
+$TS_CMD_FSCKMINIX $DEVICE 2>&1 >> $TS_OUTPUT
+
+ts_device_deinit $DEVICE
+ts_finalize
+
diff --git a/tests/ts/minix/mkfs b/tests/ts/minix/mkfs
new file mode 100755
index 000000000..72770ba18
--- /dev/null
+++ b/tests/ts/minix/mkfs
@@ -0,0 +1,45 @@
+#!/bin/bash
+#
+# Copyright (C) 2009 Karel Zak <kzak@redhat.com>
+#
+# This file is part of util-linux-ng.
+#
+# This file is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This file is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+TS_TOPDIR="$(dirname $0)/../.."
+TS_DESC="mkfs"
+
+. $TS_TOPDIR/functions.sh
+ts_init "$*"
+ts_skip_nonroot
+
+set -o pipefail
+
+IMAGE="$TS_OUTDIR/${TS_TESTNAME}-loop.img"
+DEVICE=$(ts_device_init)
+
+ts_log "create minix fs"
+$TS_CMD_MKMINIX $DEVICE 2>&1 >> $TS_OUTPUT
+
+ts_log "create mountpoint dir"
+[ -d "$TS_MOUNTPOINT" ] || mkdir -p $TS_MOUNTPOINT
+
+ts_log "mount the filesystem"
+$TS_CMD_MOUNT $DEVICE $TS_MOUNTPOINT 2>&1 >> $TS_OUTPUT
+
+# check it
+ts_is_mounted $DEVICE || ts_die "Cannot found $DEVICE in /proc/mounts" $DEVICE
+
+ts_log "umount the image"
+$TS_CMD_UMOUNT $DEVICE
+ts_device_deinit $DEVICE
+ts_finalize
+